import os 

from pathlib import Path, WindowsPath

BACKUP_LOCATION = Path("bluebook") / ".backups" / "CS106ASummer_2020-21Quiz_2" 
SUBMIT_FILE = "final.json"

def get_submit_file(path):
    if SUBMIT_FILE in path.iterdir():
        return path / SUBMIT_FILE
    
    submit_file = sorted(list(path.iterdir()))[-1]
    return path / submit_file

def do_mac(sunet):
    backup_dir = Path.home() / "Library" /  "Application Support" / BACKUP_LOCATION
    file = get_submit_file(backup_dir)
    print(file)
    file.rename(Path.home() / "Desktop" / f"{sunet}.json")

def do_windows(sunet):
    appdata_path = WindowsPath(os.getenv('APPDATA'))
    backup_dir = appdata_path / BACKUP_LOCATION
    file = get_submit_file(backup_dir)
    file.rename(Path.home() / "Desktop" / f"{sunet}.json")

def main():
    sunet = input("Enter your sunet ID (e.g. jwoodrow): ")
    try: 
        if os.name == 'posix':
            do_mac(sunet)
        elif os.name == 'nt':
            do_windows(sunet)

        print(f"Done! You should see a file called {sunet}.json on your desktop. Please upload this file to paperless.")
    except Exception as e:
        print("We ran into an issue making your submission. Reach out to Juliette and Tara to resolve this!")
        print(e)

if __name__ == "__main__":
    main()